From f40a6e102d3c4808155af601ddba7733e597e604 Mon Sep 17 00:00:00 2001
From: Stefano Rivera <stefano@rivera.za.net>
Date: Thu, 15 Oct 2020 22:44:50 -0700
Subject: [PATCH] Python 3.9 dropped gettimeofday configure checks

Upstream status: Accepted [https://github.com/pyutils/line_profiler/pull/31}
Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>

diff --git a/line_profiler/timers.c b/line_profiler/timers.c
index ae01060..e8ee6c6 100644
--- a/line_profiler/timers.c
+++ b/line_profiler/timers.c
@@ -32,10 +32,6 @@ hpTimerUnit(void)
 
 #else  /* !MS_WINDOWS */
 
-#ifndef HAVE_GETTIMEOFDAY
-#error "This module requires gettimeofday() on non-Windows platforms!"
-#endif
-
 #if (defined(PYOS_OS2) && defined(PYCC_GCC))
 #include <sys/time.h>
 #else
@@ -48,11 +44,7 @@ hpTimer(void)
 {
         struct timeval tv;
         PY_LONG_LONG ret;
-#ifdef GETTIMEOFDAY_NO_TZ
-        gettimeofday(&tv);
-#else
         gettimeofday(&tv, (struct timezone *)NULL);
-#endif
         ret = tv.tv_sec;
         ret = ret * 1000000 + tv.tv_usec;
         return ret;
